﻿(function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/home/home.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            // TODO: Initialize the page here.
            var meinListView = document.getElementById("meinListView").winControl;
            var meinListVewArray = [
                { titel: 'Fromm sind wir Liebende',
                  vorschautext: 'Wünschen uns jeglichen Gott, jegliche Göttin geneigt. Und so gleichen wirbeuch, o römische Sieger!' },
                { titel: 'Herbstlich leuchtet die Flamme',
                  vorschautext: 'Kommt mein liebliches Mädchen. Dann flammen Reisig und Scheite, Und die erwärmte Nacht wird uns ein glänzendes Fest.' },
                { titel: 'Alexander und Cäsar',
                  vorschautext: 'Gäben die Hälfte mir gern ihres erworbenen Ruhms, Könnt ich auf eine Nacht dies Lager jedem vergönnen.' }
            ];

            var meinListViewBindingList = new WinJS.Binding.List(meinListVewArray);
            meinListView.itemDataSource = meinListViewBindingList.dataSource;

            var meineAppBar = document.getElementById("appbar").winControl;
            meineAppBar.showOnlyCommands(['btnFeedback', 'btnRefresh']);

            function selectionChangedHandler(e) {
                if (meinListView.selection.count() > 0) {
                    meineAppBar.showCommands('btnPinnen')
                    meineAppBar.show();
                    meineAppBar.sticky = true;
                }
                else {
                    meineAppBar.hideCommands('btnPinnen')
                    meineAppBar.hide();
                    meineAppBar.sticky = false;
                }
            };

        }
    });
})();
