﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/radio/radio.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            // TODO: Initialize the page here.
            var radioArray = [
                { name: "Soma FM Mission Control", src: "http://ice.somafm.com/missioncontrol", bild: "url('ms-appx:///images/radio/missioncontrol120.jpg')" },
                { name: "Soma FM GrooveSalad", src: "http://ice.somafm.com/groovesalad", bild: "url('ms-appx:///images/radio/groovesalad120.png')" },
                { name: "Soma FM Poptron", src: "http://ice.somafm.com/poptron", bild: "url('ms-appx:///images/radio/poptron120.png')" },
                { name: "Soma FM Secret Agent", src: "http://ice.somafm.com/secretagent", bild: "url('ms-appx:///images/radio/secretagent120.jpg')" },
                { name: "Soma FM Boot Liquor", src: "http://ice.somafm.com/bootliquor", bild: "url('ms-appx:///images/radio/bootliquor120.jpg')" },
                { name: "Soma FM Illinois Street Lounge", src: "http://ice.somafm.com/illstreet", bild: "url('ms-appx:///images/radio/illstreet120.jpg')" },
                { name: "Soma FM Lush", src: "http://ice.somafm.com/lush", bild: "url('ms-appx:///images/radio/lush120.jpg')" },
                { name: "Soma FM Drone Zone", src: "http://ice.somafm.com/dronezone", bild: "url('ms-appx:///images/radio/dronezone120.jpg')" }
            ];
            var radioBindingList = new WinJS.Binding.List(radioArray);
            listeRadio.winControl.itemDataSource = radioBindingList.dataSource;
            listeRadio.winControl.itemTemplate = radioTemplate;
            listeRadio.winControl.selectionMode = WinJS.UI.SelectionMode.none;

            function radioAuswahl(e) {
                var radioName = e.detail.itemPromise._value.data.name;
                var radioQuelle = e.detail.itemPromise._value.data.src;

                radioplayer.src = radioQuelle;
                radioplayer.controls = true;
                radioplayer.play();
            }
            listeRadio.winControl.oniteminvoked = radioAuswahl;
            
            var appbar = document.getElementById("appbar");
            appbar.winControl.disabled = true;

        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
            var appbar = document.getElementById("appbar");
            appbar.winControl.disabled = false;
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });
})();
