﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/detailview/detailview.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            // TODO: Initialize the page here.
            var wollmilchRSS;
            window.einzelArtikel = function () {
                var meinArtikel = wollmilchRSS.einzelArtikel(options.titel);
                if (meinArtikel !== "Fehler") {
                    titel.innerText = meinArtikel.titel;
                    titelSV.innerText = meinArtikel.titel;
                    inhalt.innerText = meinArtikel.inhalt;
                } else {
                    titel.innerText = "Fehler";
                    titelSV.innerText = "Fehler";
                    inhalt.innerText = "Leider konnte der Artikel nicht gefunden werden";
                };
            };

            if (options && options.type === "kachelEinstieg") {
                wollmilchRSS = new rssData.WollmilchRSS("http://felixrieseberg.com/deutsch/feed/rss");
                wollmilchRSS.feedAbholen();
                WinJS.Application.addEventListener("feedDatenLadenFertig", window.einzelArtikel);
            } else {
                titel.innerText = rssData.aktuellerArtikel.titel;
                titelSV.innerText = rssData.aktuellerArtikel.titel;
                inhalt.innerText = rssData.aktuellerArtikel.inhalt;
            }

            // Neu: Resize handling

            function meinViewState() {
                var aktuellerViewState = Windows.UI.ViewManagement.ApplicationView.value;
                var meineViewStates = Windows.UI.ViewManagement.ApplicationViewState;

                switch (aktuellerViewState) {
                    case meineViewStates.snapped:
                        // Auf "Snap View" reagieren
                        titelSV.style.visibility = "visible";
                        titel.style.visibility = "collapse";
                        break;
                    default:
                        // Auf alle anderen View States reagieren
                        titelSV.style.visibility = "collapse";
                        titel.style.visibility = "visible";
                        break;
                }
            }

            window.addEventListener("load", meinViewState);
            window.addEventListener("resize", meinViewState);
            meinViewState();

        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
            WinJS.Application.removeEventListener("feedDatenLadenFertig", window.einzelArtikel);
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });
})();
