﻿// For an introduction to the Page Control template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232511
(function () {
    "use strict";

    WinJS.UI.Pages.define("/pages/radio/radio.html", {
        // This function is called whenever a user navigates to this page. It
        // populates the page elements with the app's data.
        ready: function (element, options) {
            // TODO: Initialize the page here.
            var radioArray = [
                { name: "Soma FM Mission Control", src: "http://ice.somafm.com/missioncontrol", bild: "url('ms-appx:///images/radio/missioncontrol120.jpg')" },
                { name: "Soma FM GrooveSalad", src: "http://ice.somafm.com/groovesalad", bild: "url('ms-appx:///images/radio/groovesalad120.png')" },
                { name: "Soma FM Poptron", src: "http://ice.somafm.com/poptron", bild: "url('ms-appx:///images/radio/poptron120.png')" },
                { name: "Soma FM Secret Agent", src: "http://ice.somafm.com/secretagent", bild: "url('ms-appx:///images/radio/secretagent120.jpg')" },
                { name: "Soma FM Boot Liquor", src: "http://ice.somafm.com/bootliquor", bild: "url('ms-appx:///images/radio/bootliquor120.jpg')" },
                { name: "Soma FM Illinois Street Lounge", src: "http://ice.somafm.com/illstreet", bild: "url('ms-appx:///images/radio/illstreet120.jpg')" },
                { name: "Soma FM Lush", src: "http://ice.somafm.com/lush", bild: "url('ms-appx:///images/radio/lush120.jpg')" },
                { name: "Soma FM Drone Zone", src: "http://ice.somafm.com/dronezone", bild: "url('ms-appx:///images/radio/dronezone120.jpg')" }
            ];
            var radioBindingList = new WinJS.Binding.List(radioArray);


            listeRadio.winControl.itemDataSource = radioBindingList.dataSource;
            listeRadio.winControl.itemTemplate = radioTemplate;
            listeRadio.winControl.selectionMode = WinJS.UI.SelectionMode.none;

            function radioAuswahl(e) {
                var radioName = e.detail.itemPromise._value.data.name;
                var radioQuelle = e.detail.itemPromise._value.data.src;

                radioplayer.src = radioQuelle;
                radioplayer.controls = true;
                radioplayer.play();

                mediaControl.artistName = "SomaFM.com, LLC";
                mediaControl.trackName = radioName;

                var albumArt = e.detail.itemPromise._value.data.bild;
                albumArt = albumArt.slice(5).slice(0, -2);
                mediaControl.albumArt = new Windows.Foundation.Uri(albumArt);

            }
            listeRadio.winControl.oniteminvoked = radioAuswahl;

            // Hintergrundaudio
            radioplayer.msAudioCategory = "BackgroundCapableMedia";

            // Media Control
            var mediaControl = Windows.Media.MediaControl;

            mediaControl.addEventListener("playpausetogglepressed", playpause, false);
            mediaControl.addEventListener("playpressed", play, false);
            mediaControl.addEventListener("stoppressed", stop, false);
            mediaControl.addEventListener("pausepressed", pause, false);

            function playpause() {
                if (!radioplayer.paused) {
                    radioplayer.pause();
                    Windows.Media.MediaControl.isPlaying = false;
                } else {
                    radioplayer.play();
                    Windows.Media.MediaControl.isPlaying = true;
                }
            }

            function play() {
                radioplayer.play();
                Windows.Media.MediaControl.isPlaying = true;
            }

            function stop() {
                radioplayer.pause();
                Windows.Media.MediaControl.isPlaying = false;
            }

            function pause() {
                radioplayer.pause();
                Windows.Media.MediaControl.isPlaying = false;
            }

            var appbar = document.getElementById("appbar");
            appbar.winControl.disabled = true;

        },

        unload: function () {
            // TODO: Respond to navigations away from this page.
            var appbar = document.getElementById("appbar");
            appbar.winControl.disabled = false;
        },

        updateLayout: function (element, viewState, lastViewState) {
            /// <param name="element" domElement="true" />

            // TODO: Respond to changes in viewState.
        }
    });
})();
